Subject: Re: [websec] HSTS -- what about ports?

From: =JeffH <[email-masked]>
Date: Tue, 23 Nov 2010 16:18:44 -0800

dveditz offered..
 >
 > The HSTS spec needs to be more clear about how to handle multiple
 > servers running on different ports on the same host. I think, by
 > referring to host name matching only, that the intent of the spec is
 > that a server running on any port can set HSTS behavior for every
 > other port on that host. If this is correct it might be clearer to
 > rename "HSTS Server" to "HSTS Host" and to somewhere in the spec
 > mention explicitly that the port is ignored when matching host names.

good feedback, thanks. will address in next rev.

=JeffH